import axios from 'axios';
import { CredentialsType } from 'types/CredentialsType';

/**
 * @async
 * Post the user credentials on the server. Used to authenticate the user on the platform.
 * @param values credentials of the user.
 * @returns {string} response status (see backend docs for status codes).
 */
export const postCredentials = async (
  values: CredentialsType,
): Promise<string> =>
  axios.post('/api/web/login', values).then((res) => res.data.status);
